## NAME

r.to.rast3 - Converts 2D raster map slices to one 3D raster volume map

## KEYWORDS

raster

## SYNOPSIS

r.to.rast3
r.to.rast3 help
r.to.rast3 input=string[,string,...] output=string [--overwrite]

### Flags:

--overwrite
  Force overwrite of output files

### Parameters:

input=string[,string,...]
  2d raster maps which represent the slices
output=string
  output 3dcell map which will be filled with the 2D raster slices

## DESCRIPTION

Converts 2D raster map(s) into one G3D raster map. If the 2d and 3d region settings are different, the 2d resolution will be adjust to the 3d resolution.

How r.to.rast3 works

## NOTES

Every 2D raster map is copied as one slice to the G3D raster map. Slices are counted from bottom to the top, so the bottom slice has to be number 1.
If fewer 2D raster maps are provided than depths, the last give 2D map is used to fill up the G3D slices to the top.

## Example 1

This example shows how to convert 6 maps into one 3d map with 6 layers.

    # Mapset data in Location slovakia3d
    r.to.rast3 input=prec_1,prec_2,prec_3,prec_4,prec_5,prec_6 output=new_3dmap

Example 2 This example shows how to convert 3 maps into one 3d map with 6 layers.

    # Mapset data in Location slovakia3d
    r.to.rast3 input=prec_1,prec_2,prec_3 output=new_3dmap

## SEE ALSO

r3.to.rast
g.region

## AUTHOR

Soeren Gebbert

Last changed: $Date: 2006/07/10 18:10:34 $

Main index - raster index - Full index